Bug 651123 - Review Request: sarGraphs - Graphical System Usage Web Interface
Review Request: sarGraphs - Graphical System Usage Web Interface
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On: 668287
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-08 16:06 EST by Jeffrey Ness
Modified: 2013-10-19 10:42 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-10 13:48:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeffrey Ness 2010-11-08 16:06:57 EST
Spec URL: http://flip-edesign.com/source/sarGraphs-1.1-0.spec
SRPM URL: http://flip-edesign.com/source/sarGraphs-1.1-0.src.rpm
Description: sarGraphs takes the output of sar (sysstat) and creates a graphical (JpGraphs) PHP Web interface.
Comment 1 Jeffrey Ness 2010-11-08 19:50:07 EST
I should also mention this is my package, and I'm seeking a sponsor.
Comment 2 Brendan Jones 2010-11-08 21:45:20 EST
Hi Jeffrey

your package will not build as it presently stands.

Please be sure to install rpmdevtools and follow all the guidelines here to build your Fedora package:
http://fedoraproject.org/wiki/How_to_create_an_RPM_package
and here
http://fedoraproject.org/wiki/Packaging/Guidelines

A few things in particular:
- your LICENSE file in your source states GPLv2 whereas you have specified GPL in the spec file
- you need to specify the full URL of your Source0
- your release number should start at 1 not 0
- you cannot unpack files into /opt when you are building packages in your spec file (you should not be installing anything under /opt in any case). The line 'setup -q' will unpack the source named under Source0 for you into ~/rpmbuild/BUILD/%{name}-%{version} where your package is built. Everything in the spec file is executed relative to here. In your case you could omit the %build section and simply move the required files from this area to your buildroot in your %install section.
- your %post is better suited to a README file
- you will also need to clean up your files section, including adding a %doc line to include your license file and any other documents you wish to be included in the package such as AUTHOR, README - refer to the links above

Once you've attacked those things and can successfully build your package using rpmbuild be sure to run rpmlint against the generated src package and post thre results back here.

hope that helps,

Brendan
Comment 3 Jason Tibbitts 2010-11-08 22:05:16 EST
Please clear the Whiteboard when you provide a package which builds.

I searched the account database but I could not find any account matching your name or email address.  Do you not yet have a Fedora account?  Might be a good idea to read http://fedoraproject.org/wiki/PackageMaintainers/Join for all sorts of information, including how to use our buildsystem to test your package.
Comment 4 Jeffrey Ness 2010-11-09 10:43:50 EST
(In reply to comment #3)
> Please clear the Whiteboard when you provide a package which builds.
> 
> I searched the account database but I could not find any account matching your
> name or email address.  Do you not yet have a Fedora account?  Might be a good
> idea to read http://fedoraproject.org/wiki/PackageMaintainers/Join for all
> sorts of information, including how to use our buildsystem to test your
> package.

Good morning Jason,

I did create a Fedora account yesterday while reading over the documentation you posted above. My Fedora account name is 'flip387' and the email address is the same as my bugzilla account.

Let me know if that helps.

Thanks
Jeffrey-
Comment 5 Jeffrey Ness 2010-11-09 10:58:49 EST
(In reply to comment #2)
> Hi Jeffrey
> 
> your package will not build as it presently stands.
> 
> Please be sure to install rpmdevtools and follow all the guidelines here to
> build your Fedora package:
> http://fedoraproject.org/wiki/How_to_create_an_RPM_package
> and here
> http://fedoraproject.org/wiki/Packaging/Guidelines
> 
> A few things in particular:
> - your LICENSE file in your source states GPLv2 whereas you have specified GPL
> in the spec file
> - you need to specify the full URL of your Source0
> - your release number should start at 1 not 0
> - you cannot unpack files into /opt when you are building packages in your spec
> file (you should not be installing anything under /opt in any case). The line
> 'setup -q' will unpack the source named under Source0 for you into
> ~/rpmbuild/BUILD/%{name}-%{version} where your package is built. Everything in
> the spec file is executed relative to here. In your case you could omit the
> %build section and simply move the required files from this area to your
> buildroot in your %install section.
> - your %post is better suited to a README file
> - you will also need to clean up your files section, including adding a %doc
> line to include your license file and any other documents you wish to be
> included in the package such as AUTHOR, README - refer to the links above
> 
> Once you've attacked those things and can successfully build your package using
> rpmbuild be sure to run rpmlint against the generated src package and post thre
> results back here.
> 
> hope that helps,
> 
> Brendan

Hello Brendan,

Thank you very much for this information, it has been very useful in my entering of the RPM development scene. 

I have been re-rewriting my SPEC file and took in your considerations above:

Spec URL: http://flip-edesign.com/source/sarGraphs-1.1-1.spec
SRPM URL: http://flip-edesign.com/source/sarGraphs-1.1-1.src.rpm

--

I have also found the 'rpmlint' tool to be a great asset, below you can find the current results:

rpmlint ../SRPMS/sarGraphs-1.1-1.src.rpm 
sarGraphs.src: W: summary-not-capitalized sarGraphs takes the output of sysstat and creates a graphical PHP Web interface.
sarGraphs.src: W: summary-ended-with-dot sarGraphs takes the output of sysstat and creates a graphical PHP Web interface.
sarGraphs.src: W: name-repeated-in-summary sarGraphs
sarGraphs.src: E: invalid-spec-name
sarGraphs.src:24: E: files-attr-not-set
sarGraphs.src:25: E: files-attr-not-set
sarGraphs.src: W: no-cleaning-of-buildroot %install
sarGraphs.src: W: no-cleaning-of-buildroot %clean
sarGraphs.src: W: no-buildroot-tag
sarGraphs.src: W: no-%build-section
sarGraphs.src: W: no-%clean-section
1 packages and 0 specfiles checked; 3 errors, 8 warnings.
--

I believe the 3 errors can be over looked. I do not need to set the default file attributes, and I believe my SPEC file naming convention matches that of http://fedoraproject.org/wiki/Packaging/Guidelines#Naming. As for the warnings nothing stands out to something I would need to correct.

I'm going to attempt to build on the Fedora Build system , however at the moment it seems the site 'https://koji.fedoraproject.org/koji/login' is under high load. I will attempt one of these mock builds when the site is available.

Thanks
Jeffrey-
Comment 6 Jeffrey Ness 2010-11-09 11:27:26 EST
(In reply to comment #5)
> (In reply to comment #2)
> > Hi Jeffrey
> > 
> > your package will not build as it presently stands.
> > 
> > Please be sure to install rpmdevtools and follow all the guidelines here to
> > build your Fedora package:
> > http://fedoraproject.org/wiki/How_to_create_an_RPM_package
> > and here
> > http://fedoraproject.org/wiki/Packaging/Guidelines
> > 
> > A few things in particular:
> > - your LICENSE file in your source states GPLv2 whereas you have specified GPL
> > in the spec file
> > - you need to specify the full URL of your Source0
> > - your release number should start at 1 not 0
> > - you cannot unpack files into /opt when you are building packages in your spec
> > file (you should not be installing anything under /opt in any case). The line
> > 'setup -q' will unpack the source named under Source0 for you into
> > ~/rpmbuild/BUILD/%{name}-%{version} where your package is built. Everything in
> > the spec file is executed relative to here. In your case you could omit the
> > %build section and simply move the required files from this area to your
> > buildroot in your %install section.
> > - your %post is better suited to a README file
> > - you will also need to clean up your files section, including adding a %doc
> > line to include your license file and any other documents you wish to be
> > included in the package such as AUTHOR, README - refer to the links above
> > 
> > Once you've attacked those things and can successfully build your package using
> > rpmbuild be sure to run rpmlint against the generated src package and post thre
> > results back here.
> > 
> > hope that helps,
> > 
> > Brendan
> 
> Hello Brendan,
> 
> Thank you very much for this information, it has been very useful in my
> entering of the RPM development scene. 
> 
> I have been re-rewriting my SPEC file and took in your considerations above:
> 
> Spec URL: http://flip-edesign.com/source/sarGraphs-1.1-1.spec
> SRPM URL: http://flip-edesign.com/source/sarGraphs-1.1-1.src.rpm
> 
> --
> 
> I have also found the 'rpmlint' tool to be a great asset, below you can find
> the current results:
> 
> rpmlint ../SRPMS/sarGraphs-1.1-1.src.rpm 
> sarGraphs.src: W: summary-not-capitalized sarGraphs takes the output of sysstat
> and creates a graphical PHP Web interface.
> sarGraphs.src: W: summary-ended-with-dot sarGraphs takes the output of sysstat
> and creates a graphical PHP Web interface.
> sarGraphs.src: W: name-repeated-in-summary sarGraphs
> sarGraphs.src: E: invalid-spec-name
> sarGraphs.src:24: E: files-attr-not-set
> sarGraphs.src:25: E: files-attr-not-set
> sarGraphs.src: W: no-cleaning-of-buildroot %install
> sarGraphs.src: W: no-cleaning-of-buildroot %clean
> sarGraphs.src: W: no-buildroot-tag
> sarGraphs.src: W: no-%build-section
> sarGraphs.src: W: no-%clean-section
> 1 packages and 0 specfiles checked; 3 errors, 8 warnings.
> --
> 
> I believe the 3 errors can be over looked. I do not need to set the default
> file attributes, and I believe my SPEC file naming convention matches that of
> http://fedoraproject.org/wiki/Packaging/Guidelines#Naming. As for the warnings
> nothing stands out to something I would need to correct.
> 
> I'm going to attempt to build on the Fedora Build system , however at the
> moment it seems the site 'https://koji.fedoraproject.org/koji/login' is under
> high load. I will attempt one of these mock builds when the site is available.
> 
> Thanks
> Jeffrey-

Greetings,

I have been able to run this Source RPM on the Build system, unfortunately it failed. While checking the build.log I get this message below (failed to write to /usr/share):

+ /bin/cp -a /builddir/build/BUILD/sarGraphs-1.1 /usr/share
/bin/cp: cannot create directory `/usr/share/sarGraphs-1.1': Permission denied
error: Bad exit status from /var/tmp/rpm-tmp.89564 (%install)

--

I guess I'm abit confused at this point, how would I go about moving my source from the RPM to its final resting place?

Thanks for any advise.
Jeffrey-
Comment 7 Jeffrey Ness 2010-11-09 12:08:25 EST
(In reply to comment #6)
> (In reply to comment #5)
> > (In reply to comment #2)
> > > Hi Jeffrey
> > > 
> > > your package will not build as it presently stands.
> > > 
> > > Please be sure to install rpmdevtools and follow all the guidelines here to
> > > build your Fedora package:
> > > http://fedoraproject.org/wiki/How_to_create_an_RPM_package
> > > and here
> > > http://fedoraproject.org/wiki/Packaging/Guidelines
> > > 
> > > A few things in particular:
> > > - your LICENSE file in your source states GPLv2 whereas you have specified GPL
> > > in the spec file
> > > - you need to specify the full URL of your Source0
> > > - your release number should start at 1 not 0
> > > - you cannot unpack files into /opt when you are building packages in your spec
> > > file (you should not be installing anything under /opt in any case). The line
> > > 'setup -q' will unpack the source named under Source0 for you into
> > > ~/rpmbuild/BUILD/%{name}-%{version} where your package is built. Everything in
> > > the spec file is executed relative to here. In your case you could omit the
> > > %build section and simply move the required files from this area to your
> > > buildroot in your %install section.
> > > - your %post is better suited to a README file
> > > - you will also need to clean up your files section, including adding a %doc
> > > line to include your license file and any other documents you wish to be
> > > included in the package such as AUTHOR, README - refer to the links above
> > > 
> > > Once you've attacked those things and can successfully build your package using
> > > rpmbuild be sure to run rpmlint against the generated src package and post thre
> > > results back here.
> > > 
> > > hope that helps,
> > > 
> > > Brendan
> > 
> > Hello Brendan,
> > 
> > Thank you very much for this information, it has been very useful in my
> > entering of the RPM development scene. 
> > 
> > I have been re-rewriting my SPEC file and took in your considerations above:
> > 
> > Spec URL: http://flip-edesign.com/source/sarGraphs-1.1-1.spec
> > SRPM URL: http://flip-edesign.com/source/sarGraphs-1.1-1.src.rpm
> > 
> > --
> > 
> > I have also found the 'rpmlint' tool to be a great asset, below you can find
> > the current results:
> > 
> > rpmlint ../SRPMS/sarGraphs-1.1-1.src.rpm 
> > sarGraphs.src: W: summary-not-capitalized sarGraphs takes the output of sysstat
> > and creates a graphical PHP Web interface.
> > sarGraphs.src: W: summary-ended-with-dot sarGraphs takes the output of sysstat
> > and creates a graphical PHP Web interface.
> > sarGraphs.src: W: name-repeated-in-summary sarGraphs
> > sarGraphs.src: E: invalid-spec-name
> > sarGraphs.src:24: E: files-attr-not-set
> > sarGraphs.src:25: E: files-attr-not-set
> > sarGraphs.src: W: no-cleaning-of-buildroot %install
> > sarGraphs.src: W: no-cleaning-of-buildroot %clean
> > sarGraphs.src: W: no-buildroot-tag
> > sarGraphs.src: W: no-%build-section
> > sarGraphs.src: W: no-%clean-section
> > 1 packages and 0 specfiles checked; 3 errors, 8 warnings.
> > --
> > 
> > I believe the 3 errors can be over looked. I do not need to set the default
> > file attributes, and I believe my SPEC file naming convention matches that of
> > http://fedoraproject.org/wiki/Packaging/Guidelines#Naming. As for the warnings
> > nothing stands out to something I would need to correct.
> > 
> > I'm going to attempt to build on the Fedora Build system , however at the
> > moment it seems the site 'https://koji.fedoraproject.org/koji/login' is under
> > high load. I will attempt one of these mock builds when the site is available.
> > 
> > Thanks
> > Jeffrey-
> 
> Greetings,
> 
> I have been able to run this Source RPM on the Build system, unfortunately it
> failed. While checking the build.log I get this message below (failed to write
> to /usr/share):
> 
> + /bin/cp -a /builddir/build/BUILD/sarGraphs-1.1 /usr/share
> /bin/cp: cannot create directory `/usr/share/sarGraphs-1.1': Permission denied
> error: Bad exit status from /var/tmp/rpm-tmp.89564 (%install)
> 
> --
> 
> I guess I'm abit confused at this point, how would I go about moving my source
> from the RPM to its final resting place?
> 
> Thanks for any advise.
> Jeffrey-

Alright, I believe I have resolved my issues and created this RPM the correct way.

I have been successful on building the SRPM on the Build System:

$ koji build --arch-override=i386 --scratch dist-5E-epel /usr/src/redhat/SRPMS/sarGraphs-1.1-1.src.rpm 
Uploading srpm: /usr/src/redhat/SRPMS/sarGraphs-1.1-1.src.rpm
[====================================] 100% 00:00:19   4.42 MiB 229.03 KiB/sec
Created task: 2590548
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=2590548
Watching tasks (this may be safely interrupted)...
2590548 build (dist-5E-epel, sarGraphs-1.1-1.src.rpm): free
2590548 build (dist-5E-epel, sarGraphs-1.1-1.src.rpm): free -> open (ppc05.phx2.fedoraproject.org)
  2590549 buildArch (sarGraphs-1.1-1.src.rpm, i386): open (x86-02.phx2.fedoraproject.org)
  2590549 buildArch (sarGraphs-1.1-1.src.rpm, i386): open (x86-02.phx2.fedoraproject.org) -> closed
  0 free  1 open  1 done  0 failed
2590548 build (dist-5E-epel, sarGraphs-1.1-1.src.rpm): open (ppc05.phx2.fedoraproject.org) -> closed
  0 free  0 open  2 done  0 failed

2590548 build (dist-5E-epel, sarGraphs-1.1-1.src.rpm) completed successfully

--

The results of my rpmlint:

$ rpmlint /usr/src/redhat/SRPMS/sarGraphs-1.1-1.src.rpm 
sarGraphs.src: W: summary-not-capitalized sarGraphs takes the output of sysstat and creates a graphical PHP Web interface.
sarGraphs.src: W: summary-ended-with-dot sarGraphs takes the output of sysstat and creates a graphical PHP Web interface.
sarGraphs.src: W: name-repeated-in-summary sarGraphs
sarGraphs.src: E: no-changelogname-tag
sarGraphs.src: E: invalid-spec-name
sarGraphs.src:32: E: files-attr-not-set
sarGraphs.src:33: E: files-attr-not-set
sarGraphs.src: W: no-%build-section
1 packages and 0 specfiles checked; 4 errors, 4 warnings.

--

Jeffrey-
Comment 8 Brendan Jones 2010-11-09 15:28:44 EST
Hi Jeffrey

your rpmlint output gives you a few errors should be addressed:

- remove version info from your spec file name
- your summary should be a single line something like - "A graphical PHP sysstat interface" whilst your description would go into a little more detail about exactly what it does
 - you need to set your file attributes in the files section:

%files 
%defattr(-,root,root,-)


Also, 

- you are missing a trailing curly bracket in your %install section
- remove the comment from your install section and change the last line to 
%{__cp} -av *  %{buildroot}%{_datadir}/%{name}-%{version}
- if you are upstream consider renaming to sargraphs

Anyway, hope that helps

Brendan
Comment 9 Jeffrey Ness 2010-11-09 15:53:13 EST
(In reply to comment #8)
> Hi Jeffrey
> 
> your rpmlint output gives you a few errors should be addressed:
> 
> - remove version info from your spec file name
> - your summary should be a single line something like - "A graphical PHP
> sysstat interface" whilst your description would go into a little more detail
> about exactly what it does
>  - you need to set your file attributes in the files section:
> 
> %files 
> %defattr(-,root,root,-)
> 
> 
> Also, 
> 
> - you are missing a trailing curly bracket in your %install section
> - remove the comment from your install section and change the last line to 
> %{__cp} -av *  %{buildroot}%{_datadir}/%{name}-%{version}
> - if you are upstream consider renaming to sargraphs
> 
> Anyway, hope that helps
> 
> Brendan

Thanks for the great information Brendan! It seems I may not of placed the correct SPEC file at the URL mentioned above.

Below is my new rpmlint without errors or warnings:

$ rpmlint ../SRPMS/sarGraphs-1.1-1.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
--

And a successful build on the Fedora Build System:

$ koji build --scratch dist-5E-epel /usr/src/redhat/SRPMS/sarGraphs-1.1-1.src.rpm 
Uploading srpm: /usr/src/redhat/SRPMS/sarGraphs-1.1-1.src.rpm
[====================================] 100% 00:00:11   4.42 MiB 396.80 KiB/sec
Created task: 2591623
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=2591623
Watching tasks (this may be safely interrupted)...
2591623 build (dist-5E-epel, sarGraphs-1.1-1.src.rpm): free
2591623 build (dist-5E-epel, sarGraphs-1.1-1.src.rpm): free -> open (x86-01.phx2.fedoraproject.org)
  2591625 buildArch (sarGraphs-1.1-1.src.rpm, noarch): open (x86-17.phx2.fedoraproject.org)
  2591625 buildArch (sarGraphs-1.1-1.src.rpm, noarch): open (x86-17.phx2.fedoraproject.org) -> closed
  0 free  1 open  1 done  0 failed
2591623 build (dist-5E-epel, sarGraphs-1.1-1.src.rpm): open (x86-01.phx2.fedoraproject.org) -> closed
  0 free  0 open  2 done  0 failed

2591623 build (dist-5E-epel, sarGraphs-1.1-1.src.rpm) completed successfully

--

Below are the links to the SRPM and SPEC:

Spec URL: http://flip-edesign.com/source/sarGraphs.spec
SRPM URL: http://flip-edesign.com/source/sarGraphs-1.1-1.src.rpm

--

Thanks for being patient and giving excellent advise!!

Jeffrey-
Comment 10 Terje Røsten 2010-11-09 16:28:43 EST
You seems to ship a version of jpgraph in the package. 

That is not allowed. jpgraph must be shipped in a separate package.

What is the license on jpgraph? Can it be used by GPL software?
Comment 11 Jeffrey Ness 2010-11-09 16:58:26 EST
JpGraph is Licensed under the QPL 1.0 (Qt Free License) http://jpgraph.net/download/, this is not allowed?

Jeffrey-
Comment 12 Jeffrey Ness 2010-11-09 17:43:23 EST
Disregard last comment, I found 'Good Licenses' at http://fedoraproject.org/wiki/Licensing:Main#Good_Licenses and show the QPL is a Valid FSF but not GPLv2 or GPLv3 compat.

I guess this means I would need to package JpGraph in a separate RPM (As I did not show a JpGraph package already available on EPEL), then depend on that in my package?

Jeffrey-
Comment 13 Jeffrey Ness 2010-11-09 21:30:01 EST
Greetings,

I have split sarGraphs from JpGraph due to the GPL vs QPL licensing:

Spec URL: http://flip-edesign.com/source/sarGraphs/sarGraphs.spec
SRPM URL: http://flip-edesign.com/source/sarGraphs/sarGraphs-1.1-1.src.rpm

As sarGraphs will depend on JpGraphs I also created an additional RPM (No Package was found in the Fedora Database):

Spec URL: http://flip-edesign.com/source/php-jpgraph/php-jpgraph.spec
SRPM URL: http://flip-edesign.com/source/php-jpgraph/php-jpgraph-3.5-0b1.src.rpm

--

Below are the outputs from rpmlint:

$  rpmlint ../SRPMS/sarGraphs-1.1-1.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$  rpmlint ../SRPMS/php-jpgraph-3.5-0b1.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

--

Jeffrey-
Comment 14 Brendan Jones 2010-11-09 22:34:25 EST
Hey Jeffrey,

I notice a couple of things that you should probably investigate.

 - I believe php libraries should be located under /usr/share/php/
 - check your requires ie. Requires: php
 - also I notice the source contains Deja Vu fonts which already exist in their own package. I'm not sure of the implications here but there's a link below which may be of help


http://fedoraproject.org/wiki/Packaging:FontsPolicy#Package_layout_for_fonts
and
http://fedoraproject.org/wiki/Packaging:PHP

cheers,

Brendan
Comment 15 Carl Thompson 2010-11-10 01:07:48 EST
Hello Jeffrey,

Spin up another bug report for the seperate package we should have a bug report for each package submitted.

As posted by Brendan update the installation to place php modules in the proper directory.  Also you can drop the font from the package and add a require for the package that provides the Deja Vu fonts.

Carl
Comment 16 Carl Thompson 2010-11-10 01:10:53 EST
Also if the Deja Vu fonts are not available in EPEL (your target for these packages) you may want to ping the maintainer to see if they will test and provide for epel or if someone will pick up the packages for epel.
Comment 17 Jeffrey Ness 2010-11-10 08:45:50 EST
(In reply to comment #14)
> Hey Jeffrey,
> 
> I notice a couple of things that you should probably investigate.
> 
>  - I believe php libraries should be located under /usr/share/php/
>  - check your requires ie. Requires: php
>  - also I notice the source contains Deja Vu fonts which already exist in their
> own package. I'm not sure of the implications here but there's a link below
> which may be of help
> 
> 
> http://fedoraproject.org/wiki/Packaging:FontsPolicy#Package_layout_for_fonts
> and
> http://fedoraproject.org/wiki/Packaging:PHP
> 
> cheers,
> 
> Brendan

Thanks again Brendan,

As Carl suggest I will be creating a separate ticket for the php-jpgraph package. I guess we can ignore the php-jpgraph's RPM issue for the moment and get back to the sarGraphs package.

Jeffrey-
Comment 18 Jeffrey Ness 2010-11-10 19:58:47 EST
I have split up this package a bit more to keep with the standards. 

Documentation is located in /usr/share/doc/sarGraphs-1.1/ and is listed as %doc, configuration is located in /etc/ and listed at %config(noreplace).

Both my SRPM and RPM check clean with rpmlint:

$ rpmlint SRPMS/sarGraphs-1.1-1.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint RPMS/noarch/sarGraphs-1.1-1.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
--

Spec URL: http://flip-edesign.com/source/sarGraphs/sarGraphs.spec
SRPM URL: http://flip-edesign.com/source/sarGraphs/sarGraphs-1.1-1.src.rpm

Jeffrey-
Comment 19 Carl Thompson 2010-11-10 22:32:40 EST
Jeff,

Can we get a link to the the other bug report here since this package requires the other package.

We need to iron out the requirements before we can move forward (after reviews) to get it into the repos.  All the requirements for a package must be supplied by fedora/epel repo (respectively) for addition to the repo.

Lets get both these closed out together.

Carl
Comment 20 Jeffrey Ness 2010-11-11 08:28:58 EST
Carl,

URL to php-jpgraph's bugzilla is https://bugzilla.redhat.com/show_bug.cgi?id=651862, however it seems there may be some issues getting it in the repos.

Jeffrey-
Comment 21 Jeffrey Ness 2010-11-13 13:46:43 EST
Carl,

I have repacked this software and no longer rely on JpGraph. The RPM now relies on pChart (GPL+ Software) which is actively being packaged in https://bugzilla.redhat.com/show_bug.cgi?id=549590.

The SRPM and RPM passes 'rpmlint' with 0 warning and 0 errors:

$ rpmlint SRPMS/sarGraphs-1.1-4.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint RPMS/noarch/sarGraphs-1.1-4.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
--

I believe everything is now in order, and should pass review.

Source and SPEC can be found below:

Spec URL: http://flip-edesign.com/source/sarGraphs/sarGraphs.spec
SRPM URL: http://flip-edesign.com/source/sarGraphs/sarGraphs-1.1-4.src.rpm
--

Jeffrey-
Comment 22 Jeffrey Ness 2010-12-08 10:48:47 EST
Submitted a build of php-pChart within https://bugzilla.redhat.com/show_bug.cgi?id=549590, this is a required package for sarGraphs.

Jeffrey-
Comment 23 Jeffrey Ness 2011-01-09 15:01:48 EST
New Bugzilla #668287 created for php-pChart (Required Package for sarGraphs)
https://bugzilla.redhat.com/show_bug.cgi?id=668287

Jeffrey-
Comment 24 Jeffrey Ness 2011-01-10 13:48:56 EST
Going to close out this Bug till I can get php-pChart approved, I will also be creating under a new usertag to avoid multiple handles.

Note You need to log in before you can comment on or make changes to this bug.